package com.pj.bank_byte;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: bank_byte -- 银行回执信息字节码表
 * @author lbl
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class BankByteService extends ServiceImpl<BankByteMapper, BankByte> implements IService<BankByte>{

	/** 底层 Mapper 对象 */
	@Autowired
	BankByteMapper bankByteMapper;

	/** 增 */
	void add(BankByte t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(BankByte b){
		updateById(b);

	}

	/** 查 */
	BankByte getById(Integer id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	List<BankByte> getList(SoMap so) {
		return bankByteMapper.getList(so);
	}


}
